Bug 383251 - initialization of DRI fails (race creating DRI nodes?)
Summary: initialization of DRI fails (race creating DRI nodes?)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-14 19:49 UTC by Bill Nottingham
Modified: 2014-03-17 03:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-10 14:53:16 UTC


Attachments (Terms of Use)
X log (22.30 KB, text/plain)
2007-11-14 19:49 UTC, Bill Nottingham
no flags Details

Description Bill Nottingham 2007-11-14 19:49:54 UTC
DRI does not work on X startup. Logs show failure to open the device nodes.
However, the device nodes do appear correct if examined post-X startup, and
restarting X does open them correctly. (At which point you may run into bug 380721.)

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.4.99.1-0.10.fc9
xorg-x11-drv-i810-2.1.99-1.fc9

Comment 1 Bill Nottingham 2007-11-14 19:49:54 UTC
Created attachment 258701 [details]
X log

Comment 2 Bug Zapper 2008-05-14 03:53:54 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-06-09 23:11:29 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.